| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
introspection.h File Reference
`#include <stddef.h>`
`#include <ws_symbol_export.h>`
`#include <wsutil/introspection.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC const ws_enum_t * | epan_inspect_enums (void)
| Returns a list of all Wireshark enums. It can be used by language bindings to the Wireshark API to obtain the value of some magic constants. The array can be binary searched, imported to a hash table, serialized, etc.
WS_DLL_PUBLIC size_t | epan_inspect_enums_count (void)
| Returns size of enums array not including null terminator.
WS_DLL_PUBLIC const ws_enum_t * | epan_inspect_enums_bsearch (const char *needle)
| Performs a binary search in the enums for the magic constant "needle".

## Detailed Description

Copyright 2021, João Valverde j@v6e.nosp@m..pt

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ epan_inspect_enums()

WS_DLL_PUBLIC const ws_enum_t * epan_inspect_enums | ( | void |  | ) |

Returns a list of all Wireshark enums. It can be used by language bindings to the Wireshark API to obtain the value of some magic constants. The array can be binary searched, imported to a hash table, serialized, etc.

Returns
  an array of ws_enum_t elements. The array is sorted and ends with {NULL, 0}.

## ◆ epan_inspect_enums_bsearch()

WS_DLL_PUBLIC const ws_enum_t * epan_inspect_enums_bsearch | ( | const char * | needle | ) |

Performs a binary search in the enums for the magic constant "needle".

Parameters

  needle | The string to search for in the enumeration table.

Returns
  A pointer to the matching ws_enum_t structure, or NULL if not found.

## ◆ epan_inspect_enums_count()

WS_DLL_PUBLIC size_t epan_inspect_enums_count | ( | void |  | ) |

Returns size of enums array not including null terminator.

Returns
  The number of enums, excluding the null terminator.